Accounts
Retrieve account details
Returns basic account information for your authorized Main Dwolla Account, including account ID, name, and links to related resources such as funding sources, transfers, and customers.
GET
/
accounts
/
{id}
cURL
GET https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var accountUrl = "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b";
dwolla.get(accountUrl).then((res) => res.body.name); // => 'Jane Doe'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'
account = app_token.get(account_url)
account.body['name']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$accountUrl = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b';
$accountsApi = new DwollaSwagger\AccountsApi($apiClient);
$account = $accountsApi->id($accountUrl);
print($account->name); # => "Jane Doe"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'
account = app_token.get account_url
account.name # => "Jane Doe"
{
"_links": {},
"id": "2e21f010-3023-4891-aced-ed726d7cd5e1",
"name": "Jane Doe's Business",
"timezoneOffset": -6,
"type": "Commercial"
}{
"code": "forbidden",
"message": "Not authorized to retrieve an Account by id."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Account's unique identifier
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var accountUrl = "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b";
dwolla.get(accountUrl).then((res) => res.body.name); // => 'Jane Doe'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'
account = app_token.get(account_url)
account.body['name']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$accountUrl = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b';
$accountsApi = new DwollaSwagger\AccountsApi($apiClient);
$account = $accountsApi->id($accountUrl);
print($account->name); # => "Jane Doe"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'
account = app_token.get account_url
account.name # => "Jane Doe"
{
"_links": {},
"id": "2e21f010-3023-4891-aced-ed726d7cd5e1",
"name": "Jane Doe's Business",
"timezoneOffset": -6,
"type": "Commercial"
}{
"code": "forbidden",
"message": "Not authorized to retrieve an Account by id."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}